### File

`packages/ecl/core/services/ecl-language.service.ts`

### Deprecated

This service is deprecated, EuiEULanguages use instead. To be removed in v20.

### Index

###### Properties
Abstract currentLanguage$
###### Methods
Abstract getAllLanguageCodes Abstract getAllLanguages Abstract getConfiguredLanguages Abstract getCurrentLanguage Abstract getEULanguageCodes Abstract getEULanguageOrFallback Abstract getEULanguages Abstract getFallbackLanguage Abstract getLanguageByCode Abstract getLanguagesByCodes Abstract isEuLanguage Abstract isRtlLanguage Abstract updateCurrentLanguage

### Properties

Abstract currentLanguage$
Type : `Observable<EclLanguage>`

### Methods

Abstract getAllLanguageCodes
`getAllLanguageCodes()`
Returns : `Array<string>`

Abstract getAllLanguages
`getAllLanguages()`
Returns : `Array<EclLanguage>`

Abstract getConfiguredLanguages
`getConfiguredLanguages()`
Returns : `Array<EclLanguage>`

Abstract getCurrentLanguage
`getCurrentLanguage()`
Returns : `EclLanguage`

Abstract getEULanguageCodes
`getEULanguageCodes()`
Returns : `Array<string>`

Abstract getEULanguageOrFallback
`getEULanguageOrFallback(code: string)`
Parameters :
Name | Type | Optional
code | `string` | No
Returns : `EclLanguage`

Abstract getEULanguages
`getEULanguages()`
Returns : `Array<EclLanguage>`

Abstract getFallbackLanguage
`getFallbackLanguage()`
Returns : `EclLanguage`

Abstract getLanguageByCode
`getLanguageByCode(code: string)`
Parameters :
Name | Type | Optional
code | `string` | No
Returns : `EclLanguage`

Abstract getLanguagesByCodes
`getLanguagesByCodes(codes: Array)`
Parameters :
Name | Type | Optional
codes | `Array<string>` | No
Returns : `Array<EclLanguage>`

Abstract isEuLanguage
`isEuLanguage(code: string)`
Parameters :
Name | Type | Optional
code | `string` | No
Returns : `boolean`

Abstract isRtlLanguage
`isRtlLanguage(code: string)`
Parameters :
Name | Type | Optional
code | `string` | No
Returns : `boolean`

Abstract updateCurrentLanguage
`updateCurrentLanguage(lang: EclLanguage)`
Parameters :
Name | Type | Optional
lang | `EclLanguage` | No
Returns : `any`

# results matching ""

# No results matching ""